
Figure - Bug #112830
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】进入系统-手势-手势导航旁边的设置页面，再向上滑动直接进入多任务管理器，此
时全部清除功能失效且无法单击退出多任务管理器
2022-10-24 17:41 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-24

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221023.alpha

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221026.alpha

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: Android12新特性引起的，不受信任的触摸事件将被屏蔽，添加了判断条件，让设定不被屏蔽

Description

【前提条件】

1、设备已开机

【测试步骤】

1、进入设置-系统-手势-手势导航

2、点击手势导航旁边的设置按钮，进入手势设置页面

3、向上滑动直接进入多任务管理器

4、点击屏幕下方的清除按钮

5、单击多任务管理器空白处

【预期结果】

4、设置及其他后台应用均被清除

5、退出多任务管理器

【实际结果】

4、设置及其他后台应用未被清除

5、没有退出多任务管理器

【复现率】

必现

History

#1 - 2022-10-25 11:24 - CD FW 曹覃刚

- % Done changed from 0 to 20

点击事件被丢弃了，我们将进一步分析

10-25 11:19:00.110  1012  1671 W InputDispatcher: Untrusted touch due to occlusion by com.android.settings/1000 (obscuring opacity = 1.00, maximum allowed = 0.80)

10-25 11:19:00.110  1012  1671 D InputDispatcher: Stack of obscuring windows during untrusted touch (1265, 903):

10-25 11:19:00.110  1012  1671 D InputDispatcher:     * type=2038, package=com.android.settings/1000, id=251, mode=USE_OPACITY, alpha=1.00,

frame=[0,0][2380,1020], touchableRegion=[0,0][2380,1020], window={b6d7232 BackGestureIndicatorView}, flags={NOT_FOCUSABLE | NOT_TOUCHABLE |

HARDWARE_ACCELERATED | DRAWS_SYSTEM_BAR_BACKGROUNDS}, inputFeatures={0x0}, hasToken=true, applicationInfo.name=,

applicationInfo.token=<null>
10-25 11:19:00.111  1012  1671 D InputDispatcher:     * [TOUCHED] type=FIRST_APPLICATION_WINDOW, package=com.android.launcher3/10087, id=255,

mode=USE_OPACITY, alpha=1.00, frame=[0,0][2380,1020], touchableRegion=[0,0][2380,1020], window={41017a9

com.android.launcher3/com.android.launcher3.uioverrides.QuickstepLauncher}, flags={NOT_TOUCH_MODAL | LAYOUT_IN_SCREEN |

LAYOUT_INSET_DECOR | SHOW_WALLPAPER | SPLIT_TOUCH | HARDWARE_ACCELERATED | DRAWS_SYSTEM_BAR_BACKGROUNDS},

inputFeatures={0x0}, hasToken=true, applicationInfo.name=ActivityRecord{4a0335c u0 com.android.launcher3/.uioverrides.QuickstepLauncher t173},

applicationInfo.token=0xb400007c3be0bbd0

10-25 11:19:00.111  1012  1671 W InputDispatcher: Dropping untrusted touch event due to com.android.settings/1000

#2 - 2022-10-25 14:18 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Resolution changed from -- to FIXED

- Root cause set to Android12新特性引起的，不受信任的触摸事件将被屏蔽，添加了判断条件，让设定不被屏蔽

提交已入库

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/native/+/157719

#3 - 2022-10-26 14:14 - CD TEST-方永红

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- % Done changed from 20 to 100

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221026.alpha

10.26 验证关闭

#4 - 2022-10-26 14:16 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#5 - 2022-10-26 14:16 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#6 - 2022-12-22 20:46 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

157719 general/platform/frameworks/native Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:Settings: Fix the problem of touch and click failureThe new feature of android12, untrusted touch events will be blockedWe have added a judgment condition,

the setting will not be blockedTC-RID: 1201-0201809IssueID: TS-R-BUG-112830Change-Id: Ia80bf9b1c902d319121d21601b7da31a4b7453db

Files

Phone-STS40X190122 2022-10-24 17-18-01.mp4 14.9 MB 2022-10-24 CD TEST-方永红

1737.txt 1.94 MB 2022-10-24 CD TEST-方永红
